//
//  Shader.vsh
//  Beat Hazard iOS
//
//  Created by Powell Stephen on 04/07/2011.
//  Copyright 2011 360400. All rights reserved.
//

attribute vec4 color;
attribute vec2 position;
attribute vec2 texcoord;

varying lowp vec4 f_color;
varying lowp vec2 f_texcoord; 

void main()
{
    gl_Position.x = position.y / 2048.0;
    gl_Position.y = -position.x / 2048.0;
    gl_Position.z = 0.0;
    gl_Position.w = 1.0;
    f_color = color / 255.0; 
    f_texcoord.xy = texcoord.xy / 1024.0;
}
